using System;
using System.Numerics;

namespace ConsoleApp1
{
    class Program
    {
        static void Main(string[] args)
        {
            int[,] a;
            a = new int[100, 100];
            int[,] x;
            x = new int[100, 100];
            int[,] y;
            y = new int[100, 100];
            int n, m;
            var nm = Console.ReadLine().Split();
            n = int.Parse(nm[0]);
            m = int.Parse(nm[1]);
            int i, j, br=0, k=0;
            for (i=0; i<n; i++)
            {
                var pq = Console.ReadLine().Split();
                x[i, 0] = int.Parse(pq[0]);
                x[i, 1] = int.Parse(pq[1]);
            }
            for (i=0; i<n; i++)
            {
                var rs = Console.ReadLine().Split();
                y[i, 0] = int.Parse(rs[0]);
                y[i, 1] = int.Parse(rs[1]);
            }


            for(i=0; i<n; i++)
            {
                for(j=0; j<m; j++)
                {
                    if(x[i, 1]<y[i, 1])
                    {
                        a[i, j] = x[i, 1];
                        br+= x[i, 1];
                    }
                    if (x[i, 1] > y[i, 1])
                    {
                        a[i, j] = y[i, 1];
                        br+= y[i, 1];
                    }
                    if (x[i, 1] == y[i, 1])
                    {
                        a[i, j] = x[i, 1];
                        br+= x[i, 1];
                    }
                }
            }
            for(i=0; i<n; i++)
            {
                for(j=0; j<m; j++)
                {
                    if(a[i, j]>0)
                    {
                        k++;
                    }
                }
            }

            Console.WriteLine(br);
            Console.WriteLine(k);
            for(h=0; h<k; i++)
            {
                for(i=0; i<n; i++)
                {
                    for(j=0; j<m; j++)
                    {
                        if(a[i, j]>0)
                        {
                            Console.Writeline("{0} {1} {2}", i+1, j+1, a[i, j]);
                        }
                    }
                }
            }



        }
    }
}